summaryrefslogtreecommitdiffstats
path: root/ci/build.sh
diff options
context:
space:
mode:
authorFeng Pan <fpan@redhat.com>2016-04-15 11:43:34 -0400
committerFeng Pan <fpan@redhat.com>2016-04-21 09:37:20 -0400
commit3d56d3211e2ddee0825e79174cfdfbcda70cd20b (patch)
treed67789ed8ec95857711f57b297f0048106cc37ff /ci/build.sh
parenta412ab4c4a4835bb4a9f4bf0f2ef8c7e965f1aaf (diff)
Adds python IP utility library
Changes include: - IP utility library in python 3 that supports both IPv4 and IPv6 address generation. This library currently includes a single function of generating IP ranges or single IP for a given CIDR. More functionality will be added at a later time to support features such as IP address calculation. - Updated common-function.sh to use python library to generate IP ranges. All existing bash functions are preserved, so any callers will get identical IP ranges as before. - Add dependency to python3 for opnfv-apex-common package. - Add python dependency to build.sh No change is made to interface related functions. Change-Id: Idc6998754f9f3c7a3868ec5b5768f3bb5f78cd90 Signed-off-by: Feng Pan <fpan@redhat.com>
Diffstat (limited to 'ci/build.sh')
-rwxr-xr-xci/build.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/ci/build.sh b/ci/build.sh
index 2fd8c26d..26cdf7a0 100755
--- a/ci/build.sh
+++ b/ci/build.sh
@@ -128,6 +128,15 @@ if [[ "$MAKE_TARGETS" == "images" ]]; then
fi
fi
+# Make sure python is installed
+if ! rpm -q python34-devel > /dev/null; then
+ sudo yum install -y epel-release
+ if ! sudo yum install -y python34-devel; then
+ echo "Failed to install python34-devel package..."
+ exit 1
+ fi
+fi
+
# Execute make against targets
for t in $MAKE_TARGETS; do
run_make $t